Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.nodetype
Interface NodeDefinition

All Superinterfaces:
  ItemDefinition

      public interface NodeDefinition

extends ItemDefinition

A node definition. Used in node type definitions.

See Also:
  `NodeType.getChildNodeDefinitions()`, `Node.getDefinition()`

Method Summary
`boolean` `allowsSameNameSiblings()` Reports whether this child node can have same-name siblings.
`NodeType` `getDefaultPrimaryType()` Gets the default primary node type that will be assigned to the child node if it is created without an explicitly specified primary node type.
`NodeType[]` `getRequiredPrimaryTypes()` Gets the minimum set of primary node types that the child node must have.

Methods inherited from interface javax.jcr.nodetype.ItemDefinition
`getDeclaringNodeType, getName, getOnParentVersion, isAutoCreated, isMandatory, isProtected`

Method Detail

### getRequiredPrimaryTypes

    NodeType[] getRequiredPrimaryTypes()

  Gets the minimum set of primary node types that the child node must have. Returns an array to support those implementations with multiple inheritance. This method never returns an empty array. If this node definition places no requirements on the primary node type, then this method will return an array containing only the `NodeType` object representing `nt:base`, which is the base of all primary node types and therefore constitutes the least restrictive node type requirement. Note that any particular node instance still has only one assigned primary node type, but in multiple-inheritance-supporting implementations the `RequiredPrimaryTypes` attribute can be used to restrict that assigned node type to be a subtype of all of a specified set of node types.
  Returns:
    an array of `NodeType` objects.

### getDefaultPrimaryType

    NodeType getDefaultPrimaryType()

  Gets the default primary node type that will be assigned to the child node if it is created without an explicitly specified primary node type. This node type must be a subtype of (or the same type as) the node types returned by `getRequiredPrimaryTypes`. <p/> If `null` is returned this indicates that no default primary type is specified and that therefore an attempt to create this node without specifying a node type will throw a `ConstraintViolationException`.
  Returns:
    a `NodeType`.

### allowsSameNameSiblings

    boolean allowsSameNameSiblings()

  Reports whether this child node can have same-name siblings. In other words, whether the parent node can have more than one child node of this name.
  Returns:
    a boolean.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.